Bug 47101 - gnorpm: error while loading shared libraries: gnorpm: undefined symbol: hdrVec
gnorpm: error while loading shared libraries: gnorpm: undefined symbol: hdrVec
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
7.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-03 04:28 EDT by landa
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-30 10:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description landa 2001-07-03 04:28:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)
Gecko/20010608

Description of problem:
gnorpm: error while loading shared libraries: gnorpm: undefined symbol: hdrVec


How reproducible:
Always

Steps to Reproduce:
1.gnorpm
2.
3.
	

Actual Results:  gnorpm don't start

Additional info:
Comment 1 Alexander Larsson 2001-07-03 13:52:01 EDT
I can not reproduce this.
Can you give me the output of these commands:
rpm -q gnorpm
ldd /usr/bin/gnorpm
nm -D /usr/bin/gnorpm | grep hdr
nm -o -D /usr/lib/*.so* | grep hdrVec
Comment 2 landa 2001-07-04 03:27:20 EDT
root@lpsmongo ~>rpm -q gnorpm
gnorpm-0.96-3
root@lpsmongo ~>ldd /usr/bin/gnorpm
	libgnomeui.so.32 => /usr/lib/libgnomeui.so.32 (0x0000020000030000)
	libart_lgpl.so.2 => /usr/lib/libart_lgpl.so.2 (0x000002000026c000)
	libgdk_imlib.so.1 => /usr/lib/libgdk_imlib.so.1 (0x0000020000380000)
	libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x00000200004b4000)
	libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x00000200005c0000)
	libgtk-1.2.so.0 => /usr/lib/libgtk-1.2.so.0 (0x00000200006e2000)
	libgdk-1.2.so.0 => /usr/lib/libgdk-1.2.so.0 (0x00000200009be000)
	libgmodule-1.2.so.0 => /usr/lib/libgmodule-1.2.so.0 (0x0000020000b0a000)
	libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x0000020000c0e000)
	libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x0000020000d1c000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x0000020000e34000)
	libgnome.so.32 => /usr/lib/libgnome.so.32 (0x0000020001084000)
	libgnomesupport.so.0 => /usr/lib/libgnomesupport.so.0 (0x00000200011a8000)
	libesd.so.0 => /usr/lib/libesd.so.0 (0x00000200012b0000)
	libaudiofile.so.0 => /usr/lib/libaudiofile.so.0 (0x00000200013ba000)
	libm.so.6.1 => /lib/libm.so.6.1 (0x00000200014d6000)
	libdb.so.2.1 => /usr/lib/libdb.so.2.1 (0x0000020001576000)
	libglib-1.2.so.0 => /usr/lib/libglib-1.2.so.0 (0x000002000168c000)
	libdl.so.2.1 => /lib/libdl.so.2.1 (0x00000200017c0000)
	libxml.so.1 => /usr/lib/libxml.so.1 (0x00000200017d4000)
	libz.so.1 => /usr/lib/libz.so.1 (0x000002000195c000)
	librpm.so.0 => /usr/lib/librpm.so.0 (0x0000020001a6e000)
	libghttp.so.1 => /usr/lib/libghttp.so.1 (0x0000020001ade000)
	librpmdb.so.0 => /usr/lib/librpmdb.so.0 (0x0000020001bea000)
	librpmio.so.0 => /usr/lib/librpmio.so.0 (0x0000020001ce4000)
	libpopt.so.0 => /usr/lib/libpopt.so.0 (0x0000020001d1e000)
	libdb-3.1.so => /lib/libdb-3.1.so (0x0000020001e26000)
	libbz2.so.1 => /usr/lib/libbz2.so.1 (0x0000020001fde000)
	libc.so.6.1 => /lib/libc.so.6.1 (0x00000200020f4000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x0000020000000000)
root@lpsmongo ~>nm -D /usr/bin/gnorpm | grep hdr
                 U hdrVec
                 U http_hdr_Connection
                 U http_hdr_User_Agent
root@lpsmongo ~>nm -o -D /usr/lib/*.so* | grep hdrVec
nm: /usr/lib/libc.so: File format not recognized
nm: /usr/lib/libGL.so: Aucun fichier ou r?pertoire de ce type
nm: /usr/lib/libGLU.so: Aucun fichier ou r?pertoire de ce type
nm: /usr/lib/libglut.so: Aucun fichier ou r?pertoire de ce type
Comment 3 Alexander Larsson 2001-07-27 12:26:40 EDT
I cannot for the life of me understand why it wants hdrVec, and where it thinks
it should find it. There seem to be no such symbol in the known universe.

Can you give me the output of:
nm -D /usr/bin/gnorpm | grep -C8 hdrVec

Comment 4 landa 2001-07-30 04:30:20 EDT
nm -D /usr/bin/gnorpm | grep -C8 hdrVec
                 U gtk_window_set_title
000000012003e610 T guessArch
000000012003e5d0 T guessDistribution
000000012003da80 T guessInit
000000012003e630 T guessOs
000000012003e350 T guessServerScore
000000012003e470 T guessUrlScore
000000012003e5f0 T guessVendor
                 U hdrVec
                 U headerNVR
                 U http_hdr_Connection
                 U http_hdr_User_Agent
                 U index
                 U inet_aton
0000000120015240 T install_one
0000000120065780 G libfind_idle_func
000000012003f560 T libfind_init
Comment 5 Alexander Larsson 2001-07-30 10:44:13 EDT
It seems your gnorpm was linked to a very strange version of librpm. Where did
you get this gnorpm rpm?

Anyway, if you upgrade gnorpm to any other version it should work.
Comment 6 Alexander Larsson 2001-08-02 11:20:24 EDT
Well, anyway. I just tried the gnorpm on alpha from a normal 7.1 install. It
worked, so i'm marking this bug fixed. If you upgrade gnorpm to the RPM in 7.1
it should work.

Note You need to log in before you can comment on or make changes to this bug.